Skip to main content

Deal

Subscribe

{
"method": "sub.deal",
"param": {
"symbol": "BTC_USDT"
}
}

Unsubscribe

{
"method": "unsub.deal",
"param": {
"symbol": "BTC_USDT"
}
}

Sample data

{
"symbol": "BTC_USDT",
"data": [
{
"p": 115309.8,
"v": 55,
"T": 2,
"O": 3,
"M": 1,
"t": 1755487578276,
"i": 13064218826
},
{
"p": 115309.8,
"v": 11,
"T": 1,
"O": 3,
"M": 1,
"t": 1755487578275,
"i": 13064218827
}
],
"channel": "push.deal",
"ts": 1755487578276
}

Receive recent trades. No login required. Pushed whenever trades occur. Trade stream enables aggregation by default; to disable, set compress=false in the subscription.

Response fields:

FieldTypeDescription
pdecimalPrice
vdecimalQuantity
TintTrade side: 1 buy, 2 sell
OintOpen/close flag: 1 new position, 2 reduce position, 3 position unchanged. If O=1, v is the added position size
MintSelf-trade: 1 yes, 2 no
iintTransaction ID
tlongTrade time